Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DocumentOverNodeInfo

    java.lang.Object
      net.sf.saxon.dom.NodeOverNodeInfo
          net.sf.saxon.dom.DocumentOverNodeInfo

All Implemented Interfaces:
  org.w3c.dom.Document, org.w3c.dom.Node

public class DocumentOverNodeInfo
extends NodeOverNodeInfo
implements org.w3c.dom.Document

This class is an implementation of the DOM Document class that wraps a Saxon DocumentInfo representation of a document node.

Field Summary

Fields inherited from class net.sf.saxon.dom.NodeOverNodeInfo
`node`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DocumentOverNodeInfo()`

Method Summary
`org.w3c.dom.Node` | `adoptNode(org.w3c.dom.Node source)` Attempts to adopt a node from another document to this document.
`org.w3c.dom.Attr` | `createAttribute(java.lang.String name)` Create an `Attr` of the given name.
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Create an attribute of the given qualified name and namespace URI.
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)` Create a `CDATASection` node whose value is the specified string.
`org.w3c.dom.Comment` | `createComment(java.lang.String data)` Create a `Comment` node given the specified string.
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()` Creates an empty `DocumentFragment` object.
`org.w3c.dom.Element` | `createElement(java.lang.String tagName)` Creates an element of the type specified.
`org.w3c.dom.Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Create an element of the given qualified name and namespace URI.
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)` Create an `EntityReference` object.
`org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` Create a `ProcessingInstruction` node given the specified name and data strings.
`org.w3c.dom.Text` | `createTextNode(java.lang.String data)` Create a `Text` node given the specified string.
`org.w3c.dom.DocumentType` | `getDoctype()` Get the Document Type Declaration (see `DocumentType` ) associated with this document.
`org.w3c.dom.Element` | `getDocumentElement()` Get the outermost element of a document.
`java.lang.String` | `getDocumentURI()` The location of the document or `null` if undefined or if the `Document` was created using `DOMImplementation.createDocument`.
`org.w3c.dom.DOMConfiguration` | `getDomConfig()` The configuration used when `Document.normalizeDocument()` is invoked.
`org.w3c.dom.Element` | `getElementById(java.lang.String elementId)` Return the `Element` whose `ID` is given by `elementId` .
`protected static org.w3c.dom.NodeList` | `getElementsByTagName(NodeInfo node, java.lang.String tagname)`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String tagname)` Return a `NodeList` of all the `Elements` with a given tag name in the order in which they are encountered in a preorder traversal of the `Document` tree.
`static org.w3c.dom.NodeList` | `getElementsByTagNameNS(NodeInfo node, java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` Return a `NodeList` of all the `Elements` with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of the `Document` tree.
`org.w3c.dom.DOMImplementation` | `getImplementation()` Get a `DOMImplementation` object that handles this document.
`java.lang.String` | `getInputEncoding()` An attribute specifying the encoding used for this document at the time of the parsing.
`boolean` | `getStrictErrorChecking()` An attribute specifying whether error checking is enforced or not.
`java.lang.String` | `getXmlEncoding()` An attribute specifying, as part of the XML declaration, the encoding of this document.
`boolean` | `getXmlStandalone()` An attribute specifying, as part of the XML declaration, whether this document is standalone.
`java.lang.String` | `getXmlVersion()` An attribute specifying, as part of the XML declaration, the version number of this document.
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)` Import a node from another document to this document.
`void` | `normalizeDocument()` This method acts as if the document was going through a save and load cycle, putting the document in a "normal" form.
`org.w3c.dom.Node` | `renameNode(org.w3c.dom.Node n, java.lang.String namespaceURI, java.lang.String qualifiedName)` Rename an existing node of type `ELEMENT_NODE` or `ATTRIBUTE_NODE`.
`void` | `setDocumentURI(java.lang.String documentURI)` The location of the document or `null` if undefined or if the `Document` was created using `DOMImplementation.createDocument`.
`void` | `setStrictErrorChecking(boolean strictErrorChecking)` An attribute specifying whether error checking is enforced or not.
`void` | `setXmlStandalone(boolean xmlStandalone)` An attribute specifying, as part of the XML declaration, whether this document is standalone.
`void` | `setXmlVersion(java.lang.String xmlVersion)` An attribute specifying, as part of the XML declaration, the version number of this document.

Methods inherited from class net.sf.saxon.dom.NodeOverNodeInfo
`appendChild, cloneNode, compareDocumentPosition, disallowUpdate, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUnderlyingNodeInfo, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DocumentOverNodeInfo

    public DocumentOverNodeInfo()

Method Detail

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

  Get the Document Type Declaration (see `DocumentType` ) associated with this document. For HTML documents as well as XML documents without a document type declaration this returns `null`. DOM method.

  Specified by:
    `getDoctype` in interface `org.w3c.dom.Document`
  Returns:
    null: The Saxon tree model does not include the document type information.

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Get a `DOMImplementation` object that handles this document. A DOM application may use objects from multiple implementations. DOM method.

  Specified by:
    `getImplementation` in interface `org.w3c.dom.Document`

### createElement

    public org.w3c.dom.Element createElement(java.lang.String tagName)
                                      throws org.w3c.dom.DOMException

  Creates an element of the type specified. DOM method: always fails, because the Saxon tree is not updateable.

  Specified by:
    `createElement` in interface `org.w3c.dom.Document`
  Returns:
    A new `Element` object with the `nodeName` attribute set to `tagName`, and `localName`, `prefix`, and `namespaceURI` set to `null`.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an illegal character.

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Creates an empty `DocumentFragment` object.

  Specified by:
    `createDocumentFragment` in interface `org.w3c.dom.Document`
  Returns:
    A new `DocumentFragment` . DOM method: returns null, because the Saxon tree is not updateable.

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String data)

  Create a `Text` node given the specified string. DOM method: returns null, because the Saxon tree is not updateable.

  Specified by:
    `createTextNode` in interface `org.w3c.dom.Document`
  Parameters:
    `data` - The data for the node.
  Returns:
    The new `Text` object.

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String data)

  Create a `Comment` node given the specified string. DOM method: returns null, because the Saxon tree is not updateable.

  Specified by:
    `createComment` in interface `org.w3c.dom.Document`
  Parameters:
    `data` - The data for the node.
  Returns:
    The new `Comment` object.

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String data)
                                                throws org.w3c.dom.DOMException

  Create a `CDATASection` node whose value is the specified string. DOM method: always fails, because the Saxon tree is not updateable.

  Specified by:
    `createCDATASection` in interface `org.w3c.dom.Document`
  Parameters:
    `data` - The data for the `CDATASection` contents.
  Returns:
    The new `CDATASection` object.
  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

### createProcessingInstruction

    public org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                         java.lang.String data)
                                                                  throws org.w3c.dom.DOMException

  Create a `ProcessingInstruction` node given the specified name and data strings. DOM method: returns null, because the Saxon tree is not updateable.

  Specified by:
    `createProcessingInstruction` in interface `org.w3c.dom.Document`
  Parameters:
    `target` - The target part of the processing instruction.
    `data` - The data for the node.
  Returns:
    The new `ProcessingInstruction` object.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified target contains an illegal character.
    NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Create an `Attr` of the given name. DOM method: always fails, because the Saxon tree is not updateable.

  Specified by:
    `createAttribute` in interface `org.w3c.dom.Document`
  Parameters:
    `name` - The name of the attribute.
  Returns:
    A new `Attr` object with the `nodeName` attribute set to `name` , and `localName` , `prefix` , and `namespaceURI` set to `null` .
  Throws:
    `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an illegal character.

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)
                                                      throws org.w3c.dom.DOMException

  Create an `EntityReference` object. DOM method: returns null, because the Saxon tree is not updateable.

  Specified by:
    `createEntityReference` in interface `org.w3c.dom.Document`
  Parameters:
    `name` - The name of the entity to reference.
  Returns:
    The new `EntityReference` object.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an illegal character.
    NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagname)

  Return a `NodeList` of all the `Elements` with a given tag name in the order in which they are encountered in a preorder traversal of the `Document` tree.

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Document`
  Parameters:
    `tagname` - The name of the tag to match on. The special value "*" matches all tags.
  Returns:
    A new `NodeList` object containing all the matched `Elements` .

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Get the outermost element of a document.

  Specified by:
    `getDocumentElement` in interface `org.w3c.dom.Document`
  Returns:
    the Element for the outermost element of the document. If the document is not well-formed, this returns the first element child of the root if there is one, otherwise null.

### getElementsByTagName

    protected static org.w3c.dom.NodeList getElementsByTagName(NodeInfo node,
                                                               java.lang.String tagname)

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)
                                throws org.w3c.dom.DOMException

  Import a node from another document to this document. DOM method: always fails, because the Saxon tree is not updateable.

  Specified by:
    `importNode` in interface `org.w3c.dom.Document`
  Returns:
    The imported node that belongs to this `Document`.
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    DOM Level 2

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)
                                        throws org.w3c.dom.DOMException

  Create an element of the given qualified name and namespace URI. HTML-only DOM implementations do not need to implement this method. DOM method: always fails, because the Saxon tree is not updateable.

  Specified by:
    `createElementNS` in interface `org.w3c.dom.Document`
  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
  Returns:
    A new `Element` object
  Throws:
    `org.w3c.dom.DOMException`

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)
                                       throws org.w3c.dom.DOMException

  Create an attribute of the given qualified name and namespace URI. HTML-only DOM implementations do not need to implement this method. DOM method: returns null, because the Saxon tree is not updateable.

  Specified by:
    `createAttributeNS` in interface `org.w3c.dom.Document`
  Parameters:
    `namespaceURI` - The namespace URI of the attribute to create.
    `qualifiedName` - The qualified name of the attribute to instantiate.
  Returns:
    A new `Attr` object.
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Return a `NodeList` of all the `Elements` with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of the `Document` tree. DOM method.

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Document`
  Parameters:
    `namespaceURI` - The namespace URI of the elements to match on. The special value "*" matches all namespaces. The value null matches elements not in any namespace
    `localName` - The local name of the elements to match on. The special value "*" matches all local names.
  Returns:
    A new `NodeList` object containing all the matched `Elements` .
  Since:
    DOM Level 2

### getElementsByTagNameNS

    public static org.w3c.dom.NodeList getElementsByTagNameNS(NodeInfo node,
                                                              java.lang.String namespaceURI,
                                                              java.lang.String localName)

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

  Return the `Element` whose `ID` is given by `elementId` . If no such element exists, returns `null` . Behavior is not defined if more than one element has this `ID` . The DOM implementation must have information that says which attributes are of type ID. Attributes with the name "ID" are not of type ID unless so defined. Implementations that do not know whether attributes are of type ID or not are expected to return `null` .

  Specified by:
    `getElementById` in interface `org.w3c.dom.Document`
  Parameters:
    `elementId` - The unique `id` value for an element.
  Returns:
    The matching element, or null if there is none.
  Since:
    DOM Level 2

### getInputEncoding

    public java.lang.String getInputEncoding()

  An attribute specifying the encoding used for this document at the time of the parsing. This is `null` when it is not known, such as when the `Document` was created in memory.

  Since:
    DOM Level 3

### getXmlEncoding

    public java.lang.String getXmlEncoding()

  An attribute specifying, as part of the XML declaration, the encoding of this document. This is `null` when unspecified or when it is not known, such as when the `Document` was created in memory.

  Since:
    DOM Level 3

### getXmlStandalone

    public boolean getXmlStandalone()

  An attribute specifying, as part of the XML declaration, whether this document is standalone. This is `false` when unspecified.

  Note: No verification is done on the value when setting this attribute. Applications should use `Document.normalizeDocument()` with the "validate" parameter to verify if the value matches the validity constraint for standalone document declaration as defined in [XML 1.0].

  Since:
    DOM Level 3

### setXmlStandalone

    public void setXmlStandalone(boolean xmlStandalone)
                          throws org.w3c.dom.DOMException

  An attribute specifying, as part of the XML declaration, whether this document is standalone. This is `false` when unspecified.

  Note: No verification is done on the value when setting this attribute. Applications should use `Document.normalizeDocument()` with the "validate" parameter to verify if the value matches the validity constraint for standalone document declaration as defined in [XML 1.0].

  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised if this document does not support the "XML" feature.
  Since:
    DOM Level 3

### getXmlVersion

    public java.lang.String getXmlVersion()

  An attribute specifying, as part of the XML declaration, the version number of this document. If there is no declaration and if this document supports the "XML" feature, the value is `"1.0"`. If this document does not support the "XML" feature, the value is always `null`. Changing this attribute will affect methods that check for invalid characters in XML names. Application should invoke `Document.normalizeDocument()` in order to check for invalid characters in the `Node`s that are already part of this `Document`.
  DOM applications may use the `DOMImplementation.hasFeature(feature, version)` method with parameter values "XMLVersion" and "1.0" (respectively) to determine if an implementation supports [XML 1.0]. DOM applications may use the same method with parameter values "XMLVersion" and "1.1" (respectively) to determine if an implementation supports [XML 1.1]. In both cases, in order to support XML, an implementation must also support the "XML" feature defined in this specification. `Document` objects supporting a version of the "XMLVersion" feature must not raise a `NOT_SUPPORTED_ERR` exception for the same version number when using `Document.xmlVersion`.

  Since:
    DOM Level 3

### setXmlVersion

    public void setXmlVersion(java.lang.String xmlVersion)
                       throws org.w3c.dom.DOMException

  An attribute specifying, as part of the XML declaration, the version number of this document. If there is no declaration and if this document supports the "XML" feature, the value is `"1.0"`. If this document does not support the "XML" feature, the value is always `null`. Changing this attribute will affect methods that check for invalid characters in XML names. Application should invoke `Document.normalizeDocument()` in order to check for invalid characters in the `Node`s that are already part of this `Document`.
  DOM applications may use the `DOMImplementation.hasFeature(feature, version)` method with parameter values "XMLVersion" and "1.0" (respectively) to determine if an implementation supports [XML 1.0]. DOM applications may use the same method with parameter values "XMLVersion" and "1.1" (respectively) to determine if an implementation supports [XML 1.1]. In both cases, in order to support XML, an implementation must also support the "XML" feature defined in this specification. `Document` objects supporting a version of the "XMLVersion" feature must not raise a `NOT_SUPPORTED_ERR` exception for the same version number when using `Document.xmlVersion`.

  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised if the version is set to a value that is not supported by this `Document` or if this document does not support the "XML" feature.
  Since:
    DOM Level 3

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  An attribute specifying whether error checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException` on DOM operations or report errors while using `Document.normalizeDocument()`. In case of error, the behavior is undefined. This attribute is `true` by default.

  Since:
    DOM Level 3

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  An attribute specifying whether error checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException` on DOM operations or report errors while using `Document.normalizeDocument()`. In case of error, the behavior is undefined. This attribute is `true` by default.

  Since:
    DOM Level 3

### getDocumentURI

    public java.lang.String getDocumentURI()

  The location of the document or `null` if undefined or if the `Document` was created using `DOMImplementation.createDocument`. No lexical checking is performed when setting this attribute; this could result in a `null` value returned when using `Node.baseURI` .
  Beware that when the `Document` supports the feature "HTML" [DOM Level 2 HTML] , the href attribute of the HTML BASE element takes precedence over this attribute when computing `Node.baseURI`.

  Since:
    DOM Level 3

### setDocumentURI

    public void setDocumentURI(java.lang.String documentURI)

  The location of the document or `null` if undefined or if the `Document` was created using `DOMImplementation.createDocument`. No lexical checking is performed when setting this attribute; this could result in a `null` value returned when using `Node.baseURI` .
  Beware that when the `Document` supports the feature "HTML" [DOM Level 2 HTML] , the href attribute of the HTML BASE element takes precedence over this attribute when computing `Node.baseURI`.

  Since:
    DOM Level 3

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node source)
                               throws org.w3c.dom.DOMException

  Attempts to adopt a node from another document to this document. If supported, it changes the `ownerDocument` of the source node, its children, as well as the attached attribute nodes if there are any. If the source node has a parent it is first removed from the child list of its parent. This effectively allows moving a subtree from one document to another (unlike `importNode()` which create a copy of the source node instead of moving it). When it fails, applications should use `Document.importNode()` instead. Note that if the adopted node is already part of this document (i.e. the source and target document are the same), this method still has the effect of removing the source node from the child list of its parent, if any. The following list describes the specifics for each type of node.
  ATTRIBUTE_NODE
    The `ownerElement` attribute is set to `null` and the `specified` flag is set to `true` on the adopted `Attr`. The descendants of the source `Attr` are recursively adopted.
  DOCUMENT_FRAGMENT_NODE
    The descendants of the source node are recursively adopted.
  DOCUMENT_NODE
    `Document` nodes cannot be adopted.
  DOCUMENT_TYPE_NODE
    `DocumentType` nodes cannot be adopted.
  ELEMENT_NODE
    Specified attribute nodes of the source element are adopted. Default attributes are discarded, though if the document being adopted into defines default attributes for this element name, those are assigned. The descendants of the source element are recursively adopted.
  ENTITY_NODE
    `Entity` nodes cannot be adopted.
  ENTITY_REFERENCE_NODE
    Only the `EntityReference` node itself is adopted, the descendants are discarded, since the source and destination documents might have defined the entity differently. If the document being imported into provides a definition for this entity name, its value is assigned.
  NOTATION_NODE
    `Notation` nodes cannot be adopted.
  PROCESSING_INSTRUCTION_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE
    These nodes can all be adopted. No specifics.

  Note: Since it does not create new nodes unlike the `Document.importNode()` method, this method does not raise an `INVALID_CHARACTER_ERR` exception, and applications should use the `Document.normalizeDocument()` method to check if an imported name is not an XML name according to the XML version in use.

  Parameters:
    `source` - The node to move into this document.
  Returns:
    The adopted node, or `null` if this operation fails, such as when the source node comes from a different implementation.
  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised if the source node is of type `DOCUMENT`, `DOCUMENT_TYPE`.
    NO_MODIFICATION_ALLOWED_ERR: Raised when the source node is readonly.
  Since:
    DOM Level 3

### getDomConfig

    public org.w3c.dom.DOMConfiguration getDomConfig()

  The configuration used when `Document.normalizeDocument()` is invoked.

  Since:
    DOM Level 3

### normalizeDocument

    public void normalizeDocument()

  This method acts as if the document was going through a save and load cycle, putting the document in a "normal" form. As a consequence, this method updates the replacement tree of `EntityReference` nodes and normalizes `Text` nodes, as defined in the method `Node.normalize()`.
  Otherwise, the actual result depends on the features being set on the `Document.domConfig` object and governing what operations actually take place. Noticeably this method could also make the document namespace well-formed according to the algorithm described in , check the character normalization, remove the `CDATASection` nodes, etc. See `DOMConfiguration` for details.

      // Keep in the document
       the information defined // in the XML Information Set (Java example)
       DOMConfiguration docConfig = myDocument.getDomConfig();
       docConfig.setParameter("infoset", Boolean.TRUE);
       myDocument.normalizeDocument();

  Mutation events, when supported, are generated to reflect the changes occurring on the document.
  If errors occur during the invocation of this method, such as an attempt to update a read-only node or a `Node.nodeName` contains an invalid character according to the XML version in use, errors or warnings (`DOMError.SEVERITY_ERROR` or `DOMError.SEVERITY_WARNING`) will be reported using the `DOMErrorHandler` object associated with the "error-handler " parameter. Note this method might also report fatal errors ( `DOMError.SEVERITY_FATAL_ERROR`) if an implementation cannot recover from an error.

  Since:
    DOM Level 3

### renameNode

    public org.w3c.dom.Node renameNode(org.w3c.dom.Node n,
                                       java.lang.String namespaceURI,
                                       java.lang.String qualifiedName)
                                throws org.w3c.dom.DOMException

  Rename an existing node of type `ELEMENT_NODE` or `ATTRIBUTE_NODE`. Not supported in this implementation

  Parameters:
    `n` - The node to rename.
    `namespaceURI` - The new namespace URI.
    `qualifiedName` - The new qualified name.
  Returns:
    The renamed node. This is either the specified node or the new node that was created to replace the specified node.
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD